'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var getDisplayName = exports.getDisplayName = function getDisplayName(component) {
  return component.displayName || component.name || 'Component';
};

var noop = /* istanbul ignore next */exports.noop = function noop() {};

var fakeChangeEvent = exports.fakeChangeEvent = function fakeChangeEvent(name, value) {
  return {
    preventDefault: noop,
    target: { name: name, value: value }
  };
};

var shallowCompare = exports.shallowCompare = function shallowCompare(nextObj, currObj) {
  var keysNext = Object.keys(nextObj);
  var keysCurr = Object.keys(currObj);
  return keysNext.length !== keysCurr.length || keysNext.some(function (next) {
    return nextObj[next] !== currObj[next];
  });
};